Skip to main content
POST
/
api
/
prompt-repo
/
prompts
/
{id}
/
versions
Error
A valid request URL is required to generate request examples
{
  "version": {
    "id": 123,
    "prompt_id": "<string>",
    "version_number": 123,
    "commit_message": "<string>",
    "model_params": {},
    "provider": "<string>",
    "model": "<string>",
    "is_latest": true,
    "created_at": "2023-11-07T05:31:56Z",
    "messages": [
      {
        "id": 123,
        "order_index": 123,
        "message": {}
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

id
string
required

Prompt ID

Body

application/json
commit_message
string
required
messages
object[]
required

Array of message objects

model_params
object
required
provider
string
required
model
string
required

Response

Version created

version
object

Prompt version (immutable snapshot)